<?php

// PDF2JPEG機能に必要な関数群 (2008/07/31)

// GhostscriptでPDFファイルをJPEGファイルに変換するコマンドライン文字列を作成
function pdf2jpeg_cmd($inputfname, $outputfname, $pagefrom, $pageto, $resolution)
{
    global $fsCFG;
    $options = ' -dSAFER -dBATCH -dNOPAUSE -sDEVICE=jpeg ';
    $options.= ' -dJPEGQ=100 ';  // JPEGファイルのクオリティ
    $options.= ' -sOutputFile='.$outputfname.' ';
    $options.= ' -dFirstPage='.$pagefrom.' -dLastPage='.$pageto.' ';
    $options.= ' -r'.$resolution.' ';
    // 実行(PDF→JPEG:300dpi)
    $cmd = currentCharset2fsCharset($fsCFG->gsexec.$options.$inputfname);
    return $cmd;
}

// PDF2JPEG機能がOnか？
function is_pdf2jpeg_on()
{
    global $fsCFG;
    if (empty($fsCFG->gsexec)) return false;
    return (isset($_COOKIE['fs_pdf2jpeg_on']) && $_COOKIE['fs_pdf2jpeg_on'] == 'on');
}

?>
